import 'package:baseproject/features/presentation/account/login_screen.dart';
import 'package:baseproject/features/presentation/app/view/init_screen.dart';
import 'package:baseproject/features/presentation/home/view/home.dart';
import 'package:baseproject/features/route/route_const.dart';
import 'package:flutter/material.dart';

class RouteGenerator {
  static Route<dynamic>? generatorRoute(RouteSettings setting) {
    // LocalStoreManager.setCurrentScreen(setting.name ?? '');
    // tracking vào màn
    switch (setting.name) {
      case appInitRouteName:
        return MaterialPageRoute<void>(settings: setting, builder: (_) => const InitScreen());
      case homeApp:
        return MaterialPageRoute<void>(settings: setting, builder: (_) => const Home());
      case loginRouteName:
        return MaterialPageRoute<void>(settings: setting, builder: (_) => const LoginScreen());
      default:
        return null;
    }
  }
}
